Subject: bug#49194: kill-whole-line 'plus-newline-even-if-none-in-reality

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 24 Jun 2021 18:11:53 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> I hereby propose an additional value, call it one of:
>
>    'always
>    'no-matter-what
>    'plus-newline-even-at-eof
>    'plus-newline-even-if-none-in-reality
>
>> See (info "(emacs) Customize Save") for require-final-newline. Bye.
>
> Wait! Who says I even want the file to end in a newline? I just want
> kill-whole-line to have a setting to consistently get a newline at the
> end, and not 99% of the time.
>
>> Then add a newline there yourself and remove it when you are finished. Bye.
>
> Wait! The file might even be a readonly file owned by someone else. I
> can't just "add one there myself."
>
>> Well then copy the file first. Bye.
>
> Seems like overkill, just to kill (copy) one line.
>
> Anyway 'plus-newline-even-if-none-in-reality etc., being non-nil, would
> also be 99% backwards compatible too!

I'm not quite sure what this essay is trying to express -- are you
asking for a new setting for `kill-whole-line' that deletes the preceding
newline if you call `C-k' at the start of the final line in a buffer,
and that final line doesn't have a newline at the end?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no